<?php
$dni = 30;
if(!isSet($_COOKIE['hits'])){
  $ile = 1;
}
else{
  $ile = intval($_COOKIE['hits']);
  if($ile < 1) $ile = 1;
  $ile++;
}
setCookie("hits", "$ile", time() + 60 * 60 * 24 * $dni);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Zapamiętywanie danych</title>
</head>
<body>
<p>
<?php
if($ile == 1)
  $str = "raz";
else
  $str = "razy";
echo "Witamy, w ciągu ostatnich $dni dni byłeś na tej stronie $ile $str.";
?>
</p>
</body>
</html>
